Bug 53856 - FILEOPEN: Docx import results in partially incorrect paragraph style (adds italics style to font property)
Summary: FILEOPEN: Docx import results in partially incorrect paragraph style (adds i...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Justin L
URL:
Whiteboard: BSA target:5.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-20 19:18 UTC by ivan.zderadicka
Modified: 2017-05-18 18:34 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Docx file that demostrates reported import problem (301.12 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2012-08-20 19:18 UTC, ivan.zderadicka
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ivan.zderadicka 2012-08-20 19:18:48 UTC
Created attachment 65846 [details]
Docx file that demostrates reported import problem

Problem description: 

Steps to reproduce:
1. Open attached docx file ( I can supply more examples, actually this problem I've seen in many docx files)
2. check paragraph style "Text"
 

Current behavior:
Style Text has font style Italics.
Same behaviour also in previous versions 3.5.4, even in old Open Office 3.2.

Expected behavior:
In MS Word 2007 style Text has font style regular (no Italics).


Platform (if different from the browser): 
              
Browser: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:14.0) Gecko/20100101 Firefox/14.0.1
Comment 1 Xisco Faulí 2014-02-28 13:15:19 UTC
it's still present in:
   - Libreoffice 4.1.4.2 Build  ID: 0a0440ccc0227ad9829de5f46be37cfb6edcf72
   - Libreoffice 4.2.1.1 Build  ID: d7dbbd7842e6a58b0f521599204e827654e1fb8b
   - Libreoffice 4.3.0.0.alpha0 ID: f839b5dd16c05c0eda21345ec36ec0cb024eb732
Comment 2 Joel Madero 2015-05-02 15:43:44 UTC Comment hidden (obsolete)
Comment 3 ivan.zderadicka 2015-05-12 08:54:25 UTC
Confirming that bug is still present in Version: 4.2.8.2
Comment 4 Justin L 2016-09-14 11:53:19 UTC
Marking as inherited from OOo - bibisected back to last35onmaster.
Still present in 5.3dev  (Ubuntu 16.04)

Paragraph style "Caption" -> "Text" is a default Writer style, so we have a name conflict.

proposed fix: https://gerrit.libreoffice.org/#/c/28894/
Comment 5 Xisco Faulí 2016-09-14 14:51:27 UTC
Only regressions should use the keyword 'preBibisect'. Removing it...
Comment 6 Commit Notification 2016-09-15 08:42:25 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b79b5e0df6dc5a0ba18054b0503d6fa804b69f02

tdf#53856 writerfilter set parentless style based on default

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Justin L 2016-12-19 11:58:12 UTC
The fix in comment 6 caused regression bug 104713